Subject: 2 PINE 3.89 problems

From: Barry Landy <[email-masked]>
Date: Thu, 13 Jan 1994 17:07:29 GMT

I reported these two bugs to pine-bugs today. I wonder if other people 
have experienced them, and if the collective wisdom of the group might 
shed some light on the circumstances?

Both symptoms have occurred also with earlier releases of PINE.

1. Lost data in messages copied to folders. 

I only see this very rarely, and when it happens it seems that the body 
of the message (everything except the Berkeley header) vanishes.

This shows in the index as a line with blank data, and an empty message 
(no header or anything) when trying to read the data. Whenever I have 
spotted this quickly enough, I know that there was once genuine data, and 
it has certainly genuinely disappeared (so it is not a phantom header 
effect). 

My most recent case I detected today, but seems to have occurred on Dec 
15 (the gap is between two messages on that day). I installed 3.89 on Dec 
8 (so the effect must be in 3.89).

2. "Blob"s
Files whose name is "blob" (the non ascii character which looks like a 
square) appear in directories. This appears to happen quite reliably in 
some circumstances, and not at all in others.

Thes effect seems to be highly environmentally dependent; the member of my
staff who tripped over it, can trigger it from any seat on our Novell Net,
and from his desktop (which remote boots from the Net), but not from my
desktop PC, which is locally booted. Conversely, if I move to the Network,
I can provoke the effect, but I cannot while I stay using my desktop
machine! 

I have so far not been able to isolate what feature of the environment is 
the one that differs critically in the two cases.

The circumstances reported that cause a failure (when conditions are 
right!) are:
-------------------------
Running pine from outside the root directory, opening a folder and 
quitting creates a blob. This blob is of various sizes, the smallest 
being 4096.

Sometimes, when quitting, there is a long delay followed by a "Bug in Pine
detected: 'Can't write index cache in resize' message.  The blob has then 
used up all the remaining filespace (7MB in one case). 

-------------------------------------------------------------------------------
Barry Landy                        Computer Laboratory:+44 223 334600
Head of Systems and Development    Direct line:        +44 223 334713
University of Cambridge Computing Service
New Museums Site                   Email:[email-masked]
Pembroke Street, Cambridge CB2 3QG